
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "\343\203\217\343\202\244\343\203\225\343\203\263\347\204\241\343\201\227\343\201\256\351\233\273\350\251\261\347\225\252\345\217\267\343\202\222\343\203\217\343\202\244\343\203\225\343\203\263\343\201\247\345\214\272\345\210\207\343\202\213(\346\227\245\346\234\254\345\220\221\343\201\221)",
  "AUTHOR" => "Tomohiro Hosaka <bokutin\@bokut.in>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "Number-Phone-JP-Hyphenate",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "Number::Phone::JP::Hyphenate",
  "PREREQ_PM" => {
    "Number::Phone::JP" => 0
  },
  "TEST_REQUIRES" => {},
  "VERSION" => "0.132131",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  my $tr = delete $WriteMakefileArgs{TEST_REQUIRES};
  my $br = $WriteMakefileArgs{BUILD_REQUIRES};
  for my $mod ( keys %$tr ) {
    if ( exists $br->{$mod} ) {
      $br->{$mod} = $tr->{$mod} if $tr->{$mod} > $br->{$mod};
    }
    else {
      $br->{$mod} = $tr->{$mod};
    }
  }
}

unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



